Subject: bug#24284: Few seconds hang on startup, even with emacs -Q

From: [email-masked]
Date: Thu, 01 Sep 2016 22:49:11 -0400

"J. Braden Chancellor" <[email-masked]> writes:

> Whenever I open a file, Emacs hangs for a few seconds on the *scratch* buffer before proceeding to the file. The hang is about two seconds on my very fast desktop,
> about four seconds on my fast phone, and about six seconds on the decent servers I SSH into over satellite. It occurs whether I open the file normally (emacs
> test.txt), open it as a client of the daemon (emacsclient test.txt), or open it without an init file (emacs -Q test.txt). I've encountered this problem on four systems so
> far: a desktop running Bash on Ubuntu on Windows (emacs24-nox 24.3.1), a phone running Ubuntu via Termux on Android (emacs 25.0.95-1), a server running
> Ubuntu (emacs24-nox 24.5-1), and a server running Arch (emacs-nox 24.5-4 AND emacs25-git 25.1.r125112-1). I haven't seen it on my Fedora desktop (emacs-nox
> 25.1-0.2.rc1.fc24) or when using the unofficial emacs-w64 Windows client (emacs 25.0.94.2). I have already tried emacs -Q, completely removing my .emacs and
> .emacs.d, mucking about with my /etc/hosts, etc, and building Emacs from source. The only way to avoid the issue is to minimize Emacs (C-z), restore it (%emacs),
> and manually open the file I want to edit (C-x C-f). While it isn't a huge problem when staying around in a few files for a while, the seconds really add up when making a
> lot of small edits to many different files.

If you M-x toggle-debug-on-quit and then C-g during the pause do you get
a backtrace?